Subject: bug#76550: 30.1; Test failure for fns-tests-collate-strings with musl libc

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Feb 2025 17:44:26 +0200

> From: Ulrich Müller <[email-masked]>
> Cc: Ulrich Müller <[email-masked]>,  Paul Eggert
>  <[email-masked]>,
>   [email-masked]
> Date: Wed, 26 Feb 2025 15:44:43 +0100
> 
> > But okay, matching the system-configuration string might also be okay,
> 
> In fact, I went with the documentation of system-type in the lispref
> manual:
> 
> | If you need to make a finer distinction than ‘system-type’ allows for,
> | you can test ‘system-configuration’, e.g., against a regexp."
> 
> > just add a comment there explaining why we do that.
> 
> Sure, can do.

Thanks.

> > And please install the change on master, not on the release branch.
> 
> Why? I don't see how disabling this test could break anything. (And I'd
> really like to have it fixed in the next release.)

You can do that in your own repository, can't you?

The reason I don't want this on the release branch as that this change
potentially affects every system, and fixing tests on the release
branch is low priority anyway (the test suite is something we develop
for our own needs, not for the users).  So would like to avoid an
unnecessary, if small, risk on the release branch, especially since
30.1 has been released already.